### Class

# Foundry DebuggerVariable

#### Description [src]

    abstract class Foundry.DebuggerVariable : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for representing variables in the debugger.

FoundryDebuggerVariable provides the core interface for representing variables during debugging sessions. It includes variable name, type, and value information, and provides a unified interface for variable inspection and manipulation across different debugging backends.

#### Ancestors

- GObject

#### Instance methods

###### foundry_debugger_variable_dup_name

No description available.

###### foundry_debugger_variable_dup_type_name

No description available.

###### foundry_debugger_variable_dup_value

No description available.

###### foundry_debugger_variable_is_structured

If the number of children is known, it will be set to `n_children`. Otherwise it should be set to zero.

since: 1.1

###### foundry_debugger_variable_list_children

Queries the structured children of the variable.

since: 1.1

###### foundry_debugger_variable_read_memory

Read `count` bytes at `offset` of the variable.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerVariable:name

No description available.

###### Foundry.DebuggerVariable:type-name

No description available.

###### Foundry.DebuggerVariable:value

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerVariableClass {
      GObjectClass parent_class;
      char* (* dup_name) (
        FoundryDebuggerVariable* self
      );
      char* (* dup_value) (
        FoundryDebuggerVariable* self
      );
      char* (* dup_type_name) (
        FoundryDebuggerVariable* self
      );
      gboolean (* is_structured) (
        FoundryDebuggerVariable* self,
        guint* n_children
      );
      DexFuture* (* list_children) (
        FoundryDebuggerVariable* self
      );
      DexFuture* (* read_memory) (
        FoundryDebuggerVariable* self,
        guint64 offset,
        guint64 count
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_name: char* (* dup_name) ( FoundryDebuggerVariable* self )`

  No description available.

`dup_value: char* (* dup_value) ( FoundryDebuggerVariable* self )`

  No description available.

`dup_type_name: char* (* dup_type_name) ( FoundryDebuggerVariable* self )`

  No description available.

`is_structured: gboolean (* is_structured) ( FoundryDebuggerVariable* self, guint* n_children )`

  No description available.

`list_children: DexFuture* (* list_children) ( FoundryDebuggerVariable* self )`

  No description available.

`read_memory: DexFuture* (* read_memory) ( FoundryDebuggerVariable* self, guint64 offset, guint64 count )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerVariableClass.dup_name

No description available.

###### Foundry.DebuggerVariableClass.dup_type_name

No description available.

###### Foundry.DebuggerVariableClass.dup_value

No description available.

###### Foundry.DebuggerVariableClass.is_structured

If the number of children is known, it will be set to `n_children`. Otherwise it should be set to zero.

since: 1.1

###### Foundry.DebuggerVariableClass.list_children

Queries the structured children of the variable.

since: 1.1

###### Foundry.DebuggerVariableClass.read_memory

Read `count` bytes at `offset` of the variable.